# gfolio
The gfolio is a Python library, containing a set of tools useful  to perform quantitative analysis of financial assets.



[![PyPi](https://img.shields.io/pypi/v/gfolio)](https://pypi.org/project/gfolio/)
[![Python](https://img.shields.io/pypi/pyversions/gfolio)](https://pypi.org/project/gfolio/)



Installation
----------------

The [`gfolio`](https://pypi.org/project/gfolio/) project is available on PyPI. To install it you can use pip: 

```bash
pip install gfolio
```

Alternatively, install the package from the source using the following command:

```bash
# 1) Clone the repository
git clone https://github.com/GabrielAbra/gfolio

# 2) And then install the package
python setup.py install
```

## Available Modules
-   [Time Series Analysis](#Time-Series-Analysis)

-   [Portfolio Optimization](#Portfolio-Optimization)

-   [Asset Metrics](#Asset-Metrics)


## To be implemented...
> #### The library is in beta stage, and not fully completed. There are some modules that are not yet implemented, such as:

-   [Online Portfolio Selection](#Online-Portfolio-Selection)
-   [Robust Backtesting](#Robust-Backtesting)
-   [Asset Screening](#Asset-Screening)
-   [Option Pricing](#Option-Pricing)
-   [Bet Sizing](#Bet-Sizing)
-   [Filtering](#Filtering)






